FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202103011602.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202103011602.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=6ee022e OS_GIT_VERSION=4.5.0-202103011602.p0-6ee022e SOURCE_DATE_EPOCH=1586855653 SOURCE_GIT_COMMIT=6ee022e56e99c4a4b1b159d1cf707c698d2ce646 SOURCE_GIT_TAG=6ee022e SOURCE_GIT_URL=https://github.com/openshift/csi-livenessprobe 
WORKDIR /go/src/github.com/kubernetes-csi/livenessprobe
COPY . .
RUN make build

FROM openshift/ose-base:v4.5.0-202101300210.1614612480
ENV __doozer=update BUILD_RELEASE=202103011602.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202103011602.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=6ee022e OS_GIT_VERSION=4.5.0-202103011602.p0-6ee022e SOURCE_DATE_EPOCH=1586855653 SOURCE_GIT_COMMIT=6ee022e56e99c4a4b1b159d1cf707c698d2ce646 SOURCE_GIT_TAG=6ee022e SOURCE_GIT_URL=https://github.com/openshift/csi-livenessprobe 
COPY --from=builder /go/src/github.com/kubernetes-csi/livenessprobe/bin/livenessprobe /usr/bin/
ENTRYPOINT ["/usr/bin/livenessprobe"]

LABEL \
        License="ASL 2.0" \
        io.k8s.description="Liveness probe for CSI drivers" \
        io.k8s.display-name="Liveness probe for CSI drivers" \
        io.openshift.tags="csi,storage,probe" \
        vendor="Red Hat" \
        name="openshift/ose-csi-livenessprobe" \
        com.redhat.component="csi-livenessprobe-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        release="202103011602.p0" \
        io.openshift.build.commit.id="6ee022e56e99c4a4b1b159d1cf707c698d2ce646" \
        io.openshift.build.source-location="https://github.com/openshift/csi-livenessprobe" \
        io.openshift.build.commit.url="https://github.com/openshift/csi-livenessprobe/commit/6ee022e56e99c4a4b1b159d1cf707c698d2ce646" \
        version="v4.5.0"

